//This source code is provided for personal and educational use only.
//Redistribution of source or derivitives is not permitted without the permission of the authour.
//Modifications may be made for educational purposes, provided that this license is not removed.
//Use this code at your OWN RISK! The authour accepts no responsibility for damage to hardware
//which may result from use of this code.
//
//Copyright Jan 2010 - Alex Jarkey
//http://www.buildtherobot.blogspot.com

#include <avr/pgmspace.h>
#include <stdio.h>

#define uint unsigned int
#define uchar unsigned char

#define	PF1_LED1_ON		(PORTA &= ~(0x01<<2))     // BLUE
#define	PF1_LED1_OFF		(PORTA |= (0x01<<2))
#define	PF1_LED2_ON		(PORTA &= ~(0x01<<3))     // GREEN
#define	PF1_LED2_OFF		(PORTA |= (0x01<<3))
#define	PF2_LED_ON		(PORTA &= ~(0x01<<4))     // YELLOW
#define	PF2_LED_OFF		(PORTA |= (0x01<<4))
#define	RUN_LED1_ON		(PORTA &= ~(0x01<<5))     // BLUE
#define	RUN_LED1_OFF		(PORTA |= (0x01<<5))
#define	RUN_LED2_ON		(PORTA &= ~(0x01<<6))     // GREEN
#define	RUN_LED2_OFF		(PORTA |= (0x01<<6))
#define	ERR_LED_ON		(PORTA &= ~(0x01<<7))     // RED
#define	ERR_LED_OFF		(PORTA |= (0x01<<7))
#define	PWR_LED1_ON		(PORTG &= ~(0x01<<2))     // GREEN
#define	PWR_LED1_OFF		(PORTG |= (0x01<<2))
#define	PWR_LED2_ON		(PORTC &= ~(0x01<<7))     // RED
#define	PWR_LED2_OFF		(PORTC |= (0x01<<7))


#define F_CPU 14.7456E6

#define MOTORS 16

void debug(char code);
